package edu.northwestern.at.morphadorner.server;

/*  Please see the license information at the end of this file. */

/** Common query parameter names.
 */

public class QueryParams
{
    /** Add synonyms of antonyms. */

    public final static String ADDSYNANT        = "addSynAnt";

    /** American. */

    public final static String AMERICAN         = "american";

    /** C99 algorithm mask size. */

    public final static String C99MASKSIZE      = "c99MaskSize";

    /** C99 algorithm segments wanted. */

    public final static String C99SEGMENTSWANTED    = "c99SegmentsWanted";

    /** Change log file. */

    public final static String CHANGELOGFILE        = "changelogfile";

    /** Configuration bundle. */

    public final static String CORPUSCONFIG     = "corpusConfig";

    /** Extended search for standard spelling. */

    public final static String EXTENDEDSEARCH   = "extendedSearch";

    /** Include input text in output results. */

    public final static String INCLUDEINPUTTEXT = "includeInputText";

    /** Infinitive form. */

    public final static String INFINITIVE       = "infinitive";

    /** Language code. */

    public final static String LANGCODE         = "langCode";

    /** Main text only in TEI files. */

    public final static String MAINTEXTONLY     = "mainTextOnly";

    /** Maximum number of summary sentences. */

    public final static String MAXSUMSENT       = "maxSumSent";

    /** Output media type. */

    public final static String MEDIA            = "media";

    /** Name. */

    public final static String NAME             = "name";

    /** Original adorned TEI XML file. */

    public final static String ORIGADORNEDFILE  = "origadornedfile";

    /** Output plain XML. */

    public final static String OUTPUTPLAINXML   = "outputPlainXML";

    /** Output standard spelling in TEI XML. */

    public final static String OUTPUTREG        = "outputReg";

    /** Output adornments in Weblicht TCF XML. */

    public final static String OUTPUTTCF        = "outputTCF";

    /** Output TEI XML. */

    public final static String OUTPUTTEI        = "outputTEI";

    /** Send results as attached file. */

    public final static String RESULTSASATTACHEDFILE    =
        "resultsAsAttachedFile";

    /** Revert changes. */

    public final static String REVERTCHANGES    = "revertChanges";

    /** Text segmenter algorithm name. */

    public final static String SEGMENTERNAME    = "segmenterName";

    /** Singular spelling. */

    public final static String SINGULAR         = "singular";

    /** Spelling. */

    public final static String SPELLING         = "spelling";

    /** Standardize spelling. */

    public final static String STANDARDIZE      = "standardize";

    /** TEI file name. */

    public final static String TEIFILE          = "teifile";

    /** Text to process. */

    public final static String TEXT             = "text";

    /** Text tiler algorithm sliding window size. */

    public final static String TILERSLIDINGWINDOWSIZE   =
        "tilerSlidingWindowSize";

    /** Text tiler algorithm step size. */

    public final static String TILERSTEPSIZE    = "tilerStepSize";

    /** Updated adorned TEI XML file. */

    public final static String UPDATEDADORNEDFILE   = "updatedadornedfile";

    /** Use choice structure to emit standard spelling in adorned TEI. */

    public final static String USECHOICE        = "useChoice";

    /** Verb tense. */

    public final static String VERBTENSE        = "verbTense";

    /** Word class. */

    public final static String WORDCLASS        = "wordClass";

    /** Secondary word class. */

    public final static String WORDCLASS2       = "wordClass2";

    /** XML output type. */

    public final static String XMLOUTPUTTYPE    = "xmlOutputType";
}

/*
Copyright (c) 2012, 2013 by Northwestern University.
All rights reserved.

Developed by:
   Academic and Research Technologies
   Northwestern University
   http://www.it.northwestern.edu/about/departments/at/

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal with the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or
sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following
conditions:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimers.

    * Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimers in the documentation and/or other materials provided
      with the distribution.

    * Neither the names of Academic and Research Technologies,
      Northwestern University, nor the names of its contributors may be
      used to endorse or promote products derived from this Software
      without specific prior written permission.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.
*/



